<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Homework-buttons</title>
    <style>
      .btn-wrapper {
        height: 60vh;
        display: flex;
        align-items: center;
        justify-content: space-around;
      }
      .btn {
        border: none;
        border-radius: 20px;
        min-width: 120px;
        padding: 7px;
        color: #fff;
        font-size: 14px;
        background-color: #000000;
        cursor: pointer;
      }
      .btn:active,
      .btn:focus {
        outline: none;
      }
      .select {
        background-color: rgb(56, 56, 248);
      }
    </style>
  </head>
  <body>
    <div class="btn-wrapper">
      <button class="btn" data-key-code="enter">Enter</button>
      <button class="btn" data-key-code="keyS">S</button>
      <button class="btn" data-key-code="keyE">E</button>
      <button class="btn" data-key-code="keyO">O</button>
      <button class="btn" data-key-code="keyN">N</button>
      <button class="btn" data-key-code="keyL">L</button>
      <button class="btn" data-key-code="keyZ">Z</button>
    </div>

    <script>

// потому что в поле input можно также вносить данные при помощи: copy/paste,
// голосового ввода,  событя клавиатуры не могут обработать данные
// введенные таким способом.


      document.addEventListener("keydown", lightletters);

      function lightletters(e) {
        let btnList = document.querySelectorAll(".btn");
		for (let items of btnList){
			if(e.code.toUpperCase() === items.dataset.keyCode.toUpperCase()){
				items.classList.toggle("select")
			} else {
				items.classList.remove("select")
			}
		}
      }
    </script>
  </body>
</html>
